FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Kernel

 
 
LinkBack Thread Tools
 
Old 07-31-2012, 09:47 AM
Ian Campbell
 
Default Bug#681637: Bug#681376: Bug#681376: Xen hypervisor package not upgraded on dist-upgrade Squeeze to Wheezy

On Tue, 2012-07-31 at 16:23 +0800, Thomas Goirand wrote:
> On 07/13/2012 02:37 AM, Ian Campbell wrote:
> > I have marked this bug important since I think failure to upgrade is "a
> > major effect on the usability of a package".
>
> A failure to upgrade might as well be considered a violation of the
> policy and deserve a Serious severity. I'd agree if this was an RC bug.
>
> On the upgrade from Lenny to Squeeze, we had the same trouble, having to
> manually apt-get install packages. It wouldn't be nice to have to write
> in the release notes *again*.

I think as it stands things will just work for Jessie if we release note
it again this time.

Otherwise we need to patch the xen-linux-system package on the kernel
side (CCd 681637 which is the kernel side of this bug).

I've not investigated in detail with relation to the current solution
but I think the original trick of making the dependency
"xen-hypervisor-FLAVOUR (>>0)" (instead of just
"xen-hypervisor-FLAVOUR") is sufficient. However we may just want to
change it to xen-system-FLAVOUR to pull in the new metapackage instead.

Or perhaps we want to combine the two into "xen-system-FLAVOUR |
xen-hypervisor-FLAVOUR (>>0)" to pull in the latest stuff by default but
still allow folks to manually install an old hypervisor if they choose
(although arguably they could do this manually avoiding the metapackages
if that's what they want).

Waldi, what are your thoughts?

Ian.

--
Ian Campbell
Current Noise: Nile - User-Maat-Re

The angry man always thinks he can do more than he can.
-- Albertano of Brescia


--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 1343728051.15432.110.camel@zakaz.uk.xensource.com" >http://lists.debian.org/1343728051.15432.110.camel@zakaz.uk.xensource.com
 

Thread Tools




All times are GMT. The time now is 03:17 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org